2008年6月23日月曜日

Geronimoでのgzip圧縮

F-Orcのコンダクタ側のアプリケーションサーバは、


Tomcat on Geronimoで構成されているが、


Geronimoのバージョンは、1.1.1。



現在、細かいパフォーマンス改善を色々とやっており、



その一環で、HTTP Responseのgzip圧縮



設定をやろうと思ったら、、、



Tomcatのバージョンは、5.5系なので、設定ファイルに



gzip圧縮の設定を書けば、OKのはずなのに、、、



Geronimo側のWrapperがこれらの項目に対応していない!



「くっ~~(T_T)」



色々調べてみたら、GeronimoのBugJiraに起票されており、



Geronimo1.2では対応されている。。。



「今更、1.2に変更するのもなぁ。しかも1.2はbetaのまま開発中止しちゃってるしな。。。」



ということで、週末苦労した挙句、



なんとか1.1.1のままで、gzip圧縮かかるようにできました。



どうやって対応したかを知りたい方は、直接聞いてくださいw

2 件のコメント:

nakai さんのコメント...

そっち行ったときに教えて

j-yamaguchi さんのコメント...

いつでもいいですよ。